Bug 202929 - openssl-devel on x86_64 is missing the 32bit config
openssl-devel on x86_64 is missing the 32bit config
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 06:45 EDT by Steffen Persvold
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 10:09:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steffen Persvold 2006-08-17 06:45:32 EDT
Description of problem:

Trying to compile a 32bit application that use SSL, you get :

In file included from /usr/include/openssl/e_os2.h:56,
                 from /usr/include/openssl/ssl.h:173,
                 from scassl.c:50:
/usr/include/openssl/opensslconf.h:13:30: error: opensslconf-i386.h: No such
file or directory


Version-Release number of selected component (if applicable):

openssl-devel-0.9.8a-5.2


How reproducible:

Always.

Steps to Reproduce:
1. create a test application that includes ssl.h
2. compile the application with -m32 (32bit)
  
Actual results:

In file included from /usr/include/openssl/e_os2.h:56,
                 from /usr/include/openssl/ssl.h:173,
                 from scassl.c:50:
/usr/include/openssl/opensslconf.h:13:30: error: opensslconf-i386.h: No such
file or directory


Expected results:

No compile errors.
Comment 1 Steffen Persvold 2006-08-17 06:48:17 EDT
This error is also present in FC4 and RHEL4 btw
Comment 2 Nalin Dahyabhai 2006-08-17 07:02:40 EDT
You'd need to install the 32-bit openssl-devel package to get these.
Comment 3 Steffen Persvold 2006-08-17 07:14:26 EDT
Ah, yes, but of course :) The only problem is that they aren't available in the
x86_64 distro :

# ls redhat/4ES-U3/x86_64/RedHat/RPMS/openssl-devel-*
redhat/4ES-U3/x86_64/RedHat/RPMS/openssl-devel-0.9.7a-43.8.x86_64.rpm

# ls fedora/core/4/x86_64/os/Fedora/RPMS/openssl-devel-*
fedora/core/4/x86_64/os/Fedora/RPMS/openssl-devel-0.9.7f-7.x86_64.rpm

# ls fedora/core/5/x86_64/os/Fedora/RPMS/openssl-devel-*
fedora/core/5/x86_64/os/Fedora/RPMS/openssl-devel-0.9.8a-5.2.x86_64.rpm

Don't you think they should have been included (like other .i386 -devel RPMs)?

This is an issue on ppc too btw.
Comment 4 Tomas Mraz 2006-08-21 10:09:56 EDT
This is fixed in FC6Test2
Comment 5 Steffen Persvold 2006-08-21 11:49:48 EDT
Any fixes planned for RHEL4 UpdateX (i.e supply the .i386 RPM on the x86_64 RPMs) ?
Comment 6 Tomas Mraz 2006-08-21 12:31:55 EDT
Please use the support issue tracker to report such requests against RHEL4.

Note You need to log in before you can comment on or make changes to this bug.